Home / Node / Boletín de INCIBE-CERT del 15-11-2021

Boletín de INCIBE-CERT del 15-11-2021

Múltiples vulnerabilidades en BusyBox de Linux

Publication date: 
11/15/2021
Importance: 
3 - Media
Affected resources: 

BusyBox, versiones de la 1.16 a la 1.33.1, ambas inclusive.

Description: 

Investigadores de JFrog Security y Claroty Research han reportado catorce vulnerabilidades de severidad media que podrían permitir a un atacante causar una condición de denegación de servicio, revelación de información y ejecución remota de código.

Solution: 

Actualizar a la versión 1.34.0.

Si la actualización no fuese posible, las versiones 1.33.1 y anteriores se pueden compilar sin las funciones vulnerables, como medida de mitigación.

Detail: 
  • Una vulnerabilidad de desreferencia a puntero nulo podría permitir a un atacante, causar una condición de denegación de servicio al introducir datos mediante los comandos “man” y “hush”. Se ha asignado los identificadores CVE-2021-42373 y CVE-2021-42376 para esta vulnerabilidad.
  • El uso de los comandos “lzma”, “tar”, “unzip”, “rpm”, “dpkg”, “lzma” y “man”, podría explotar una vulnerabilidad de lectura fuera de límites, que podría permitir a un atacante revelar información o causar una denegación de servicio al descomprimir un archivo especialmente diseñado. Se ha asignado el identificador CVE-2021-42374 para esta vulnerabilidad.
  • La shell presenta una vulnerabilidad de manejo inadecuado de elementos especiales, lo que podría permitir a un atacante causar una condición de denegación de servicio empleando el comando “ash”. Se ha asignado el identificador CVE-2021-42375 para esta vulnerabilidad.
  • La shell gestiona de forma incorrecta la cadena &&&, lo que podría permitir a un atacante causar una condición de denegación de servicio o ejecutar código de forma remota, al procesar un comando “hush” manipulado. Se ha asignado el identificador CVE-2021-42377 para esta vulnerabilidad.
  • El uso del comando “awk” podría permitir a un atacante causar una condición de denegación de servicio o ejecutar código al procesar una ruta manipulada para las funciones getvar_i, next_input_file, clrvar, hash_init, getvar_s, evaluate, handle_special, evaluate y nvalloc. Se han asignado los identificadores CVE-2021-42378, CVE-2021-42379, CVE-2021-42380, CVE-2021-42381, CVE-2021-42382, CVE-2021-42383, CVE-2021-42384, CVE-2021-42385 y CVE-2021-42386.

Encuesta valoración